Bug 1200717 - TrackPoint too slow with libinput
Summary: TrackPoint too slow with libinput
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-libinput   
(Show other bugs)
Version: 22
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-11 09:33 UTC by rasmus
Modified: 2017-07-25 13:05 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 12:59:43 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description rasmus 2015-03-11 09:33:20 UTC
Description of problem:

The speed of the cursor is very slow with libinput.  The maximum speed is not fast enough for the TrackPoint to be usable.  In an 'ordinary' X session I would configure my trackpoint via xset m 4 0.  This seems to be ignored in F22.
I would like to at least have instructions on an equivalent tool when I call xset m.

My hardware is a ThinkPad X200.  As I recall, the trackpoint on my Thinkpad W530 libinput was also too slow in Wayland in the last iteration.

This is also the major reason why I have not used Wayland in the last cycle. 

Version-Release number of selected component (if applicable):
Fedora 22-A3

Comment 1 Hans de Goede 2015-03-27 10:57:50 UTC
Hi Rasmus,

Thanks for the bug report. I've borrowed a thinkpad x200 from a friend, and I can reproduce this, it is indeed much too slow.

I've been testing trackpoints on various devices, and there seems to be quite a big spread between the speed on them, the x200 seems to have one of the slower ones.

I believe there is a better fix then upping the accelleration done in software though, the kernel trackpoint driver also allows to reconfigure the trackpoint sensitivity, which I believe is a better fix in this case, as it will result in more accurate / higher resolution deltas being reported by the device and thus more accurate pointer control.

Can you try doing the following (as root) please:

echo 200 > /sys/bus/serio/devices/serio1/sensitivity

This together with the mouse speed slider / xinput property setting should give you the speed you want, and should result in better mouse control then the "xset m 4 0" you were doing before.

Can you please let us know if this helps ? Then we will look into making this the default on the X200.

Regards,

Hans

Comment 2 rasmus 2015-03-27 11:33:48 UTC
Hi Hans,

The following is tested on Arch with libinput 0.13.  I can test on F21 later, if necessary.

On the X200s, I get a decent speed with a sensitivity of 255.  I still have to put more pressure than in X, and I would imagine that it would start hurting after a while.

For what it is worth on the Thinkpad W530, the trackpoint is also slightly too slow for my taste on max speed via gnome-control-panel.

On the W530 I can get approximately the right speed with

    echo 235 > /sys/bus/serio/devices/serio2/sensitivity

But also here I must apply more pressure than in X.  I'm guessing this might relate to the second argument to xset m which I usually set to 0, but I don't know...

Thanks,
Rasmus

Comment 3 Hans de Goede 2015-03-27 13:07:42 UTC
Hi Rasmus,

Thanks for testing using arch + libinput + xf86-input-libinput is fine, the end result should be the same.

You say that you were testing using F-21 before, note that the gnome-control panel mouse speed slider does not work there together with xorg-x11-drv-libinput.

Can you do:

xinput list

and then:

xinput list-props <id>

Where id is the id printed for the trackpoint by xinput list and then make sure that "libinput Accel Speed" is set to 1.0 ? (the range is from -1.0 to 1.0 with 0.0 being the default), and if it is not manually set it using xinput and then get back to me to me let me know if that helps (or if it already was at 1.0).

Thanks,

Hans

Comment 4 rasmus 2015-03-27 13:16:25 UTC
Oh, I actually did the tests with the Wayland backend to be sure that libinput was being used as I don't have xf86-input-libinput on the Arch setup.  I could install it though.  But I guess libinput works the same in Wayland and X?

In wayland, xinput list-props for the xwayland-pointer does not list a accel speed.  I will test in X as well.  Velocity scaling is 10; adaptive decl, and constant decl are both 1.  Accel profile is 0.

I will test in X as well but I can't logout right now to switch session.

Comment 5 Hans de Goede 2015-03-27 13:32:52 UTC
Hi again,

Please test in X, I'm not sure the mouse speed slider in wayland is hooked up yet, and we're moving to
xf86-input-libinput as default input driver so it is important to get it right in X too.

Thanks,

Hans

Comment 6 rasmus 2015-03-27 14:30:00 UTC
Hi,

For the X200s in X with the xf86 libinput driver the description from wayland is still accurate.  I.e. after setting sensitivity to 255 it is almost usable, but I still have to apply more pressure than in my initial setup.  I have not tested the W530 with X.

Here's the output you requested:

> xinput list-props 10
Device 'TPPS/2 IBM TrackPoint':
	Device Enabled (137):	1
	Coordinate Transformation Matrix (139):	1.000000, 0.000000, 0.000000, 0.000000, 1.000000, 0.000000, 0.000000, 0.000000, 1.000000
	libinput Accel Speed (291):	1.000000
	libinput Natural Scrolling Enabled (292):	0
	libinput Send Events Modes Available (277):	1, 0
	libinput Send Events Mode Enabled (278):	0, 0
	libinput Left Handed Enabled (293):	0
	libinput Scroll Methods Available (294):	0, 0, 1
	libinput Scroll Method Enabled (295):	0, 0, 1
	libinput Button Scrolling Button (296):	2
	Device Node (279):	"/dev/input/event12"
	Device Product ID (280):	2, 10

In the control-center (v3.16) the speed is at max, and it seems to be working with the libinput backend.

Cheers,
Rasmus

Comment 7 rasmus 2015-03-27 14:32:45 UTC
Oh BTW, my system automatically runs xset m 4 0 on login, but I guess this is  ignored when using libinput.

Comment 8 Hans de Goede 2015-04-02 10:02:12 UTC
Hi,

(In reply to rasmus from comment #7)
> Oh BTW, my system automatically runs xset m 4 0 on login, but I guess this
> is  ignored when using libinput.

Correct, that is ignored.

I've just CC-ed you on a set of systemd/udev patches to allow automatically adjusting the sensitivity on some models, as well as to set a TRACKPOINT_CONST_ACCEL udev property on the event node for libinput to apply. For the X200s I've chosen a sensitivity of 200 + TRACKPOINT_CONST_ACCEL of 1.5 which is probably slightly too slow for you, since you like xset m 4 0, which I believe is too fast for most users, but hopefully together with moving the slider all the way to max speed this will work well for you.

For testing this you need a libinput build with the 1 patch for libinput to honor TRACKPOINT_CONST_ACCEL + a udev rule setting TRACKPOINT_CONST_ACCEL, or the set of udev patches which I've CC-ed you on.

Since you are also using arch I'm not sure what the easiest way to test this is for you, you can apply the patch(es) yourself, or I can provide you with a patched libinput Fedora package + a udev rule to drop in /etc/udev/rules.d for testing.

Regards,

Hans

Comment 9 rasmus 2015-04-02 11:45:19 UTC
Hi Hans

I can test from the F22 live image or from Arch as you prefer.  Do I only need to install the changes to libinput and not the systemd changes?

I guess I already have the udev rule from the patches.

I may not be able to test this until the end of the next week.

Comment 10 Hans de Goede 2015-04-02 11:53:01 UTC
(In reply to rasmus from comment #9)
> Hi Hans
> 
> I can test from the F22 live image or from Arch as you prefer.  Do I only
> need to install the changes to libinput and not the systemd changes?

I've no preference, whatever is easiest for you.

> I guess I already have the udev rule from the patches.

Yes, but you will need to drop the:

ENV{ID_INPUT_TRACKPOINT}=="", GOTO="trackpoint_end"

Rule from them, as that requires the first patch of the udev set to work, with that changed drop the rules + hwdb from the patches into place, and then run:

udevadm hwdb --update

And reboot, and then do:

udevadm info -q all /dev/input/event4

(verify that event4 is your trackpoint) and check that the 2 new TRACKPOINT_foo properties are set.

Then (using a patched libinput) test the trackpoint and see if it is more to your liking.

> I may not be able to test this until the end of the next week.

No problem.

Regards,

Hans

Comment 11 rasmus 2015-04-22 11:10:23 UTC
Hi Hans,

Is this part of the F22 beta?  I haven't had the time to test it yet.  Otherwise, could you point me to rpms that I can easily test in F22 (preferably from the live usb).

Thanks,
Rasmus

Comment 12 Peter Hutterer 2015-04-23 04:46:24 UTC
not yet, we're still working on it upstream though the pieces are now slowly falling into place.

Comment 13 Emily Dirsh 2015-04-27 20:00:10 UTC
I can attest the trackpoint is also very slow on my x230t with the latest F22 Beta; libinput 0.14; xorg-x11-drv-libinput 0.9.0;

If it helps, this is the xinput list-props for my trackpoint device:
Device 'TPPS/2 IBM TrackPoint':
	Device Enabled (136):	1
	Coordinate Transformation Matrix (138):	1.000000, 0.000000, 0.000000, 0.000000, 1.000000, 0.000000, 0.000000, 0.000000, 1.000000
	libinput Accel Speed (298):	1.000000
	libinput Accel Speed Default (299):	0.000000
	libinput Natural Scrolling Enabled (300):	0
	libinput Natural Scrolling Enabled Default (301):	0
	libinput Send Events Modes Available (254):	1, 0
	libinput Send Events Mode Enabled (255):	0, 0
	libinput Send Events Mode Enabled Default (256):	0, 0
	libinput Left Handed Enabled (302):	0
	libinput Left Handed Enabled Default (303):	0
	libinput Scroll Methods Available (304):	0, 0, 1
	libinput Scroll Method Enabled (305):	0, 0, 1
	libinput Scroll Method Enabled Default (306):	0, 0, 1
	libinput Button Scrolling Button (310):	2
	libinput Button Scrolling Button Default (311):	274
	Device Node (257):	"/dev/input/event7"
	Device Product ID (258):	2, 10

There are actually two trackpoint devices listed by xinput, but they have the same properties.

Comment 14 Hans de Goede 2015-04-28 08:36:16 UTC
Hi Emily,

(In reply to Emily Dirsh from comment #13)
> I can attest the trackpoint is also very slow on my x230t with the latest
> F22 Beta; libinput 0.14; xorg-x11-drv-libinput 0.9.0;
> 
> If it helps, this is the xinput list-props for my trackpoint device:
> Device 'TPPS/2 IBM TrackPoint':
> 	Device Enabled (136):	1
> 	Coordinate Transformation Matrix (138):	1.000000, 0.000000, 0.000000,
> 0.000000, 1.000000, 0.000000, 0.000000, 0.000000, 1.000000
> 	libinput Accel Speed (298):	1.000000
> 	libinput Accel Speed Default (299):	0.000000
> 	libinput Natural Scrolling Enabled (300):	0
> 	libinput Natural Scrolling Enabled Default (301):	0
> 	libinput Send Events Modes Available (254):	1, 0
> 	libinput Send Events Mode Enabled (255):	0, 0
> 	libinput Send Events Mode Enabled Default (256):	0, 0
> 	libinput Left Handed Enabled (302):	0
> 	libinput Left Handed Enabled Default (303):	0
> 	libinput Scroll Methods Available (304):	0, 0, 1
> 	libinput Scroll Method Enabled (305):	0, 0, 1
> 	libinput Scroll Method Enabled Default (306):	0, 0, 1
> 	libinput Button Scrolling Button (310):	2
> 	libinput Button Scrolling Button Default (311):	274
> 	Device Node (257):	"/dev/input/event7"
> 	Device Product ID (258):	2, 10
> 
> There are actually two trackpoint devices listed by xinput, but they have
> the same properties.

Thanks for the bug report, can you please try setting the sensitivity of the trackpoint and see if that helps ?

As root do:

echo 200 > /sys/bus/serio/devices/serio2/sensitivity

Please try this sensitivity setting first with the mouse speed setting in the middle ("libinput Accel Speed" == 0.0) and if it still is too slow then increase the mouse speed setting again.

If that helps I suggest adding the "echo 200 > /sys/bus/serio/devices/serio2/sensitivity" to /etc/rc.d/rc.local for now (you may need to create that file, if you do be sure to chmod +x it), we are working on automatically setting this on devices which need it through udev + hwdb but that has a lot of moving parts and likely will not be added to F-22.

Can you also please do:

cat /sys/class/dmi/id/sys_vendor
cat /sys/class/dmi/id/product_version

And provide the output of these 2 commands, I need that to add an entry to hwdb so that in the future you will no longer need a rc.local entry for this.

Regards,

Hans

Comment 15 Emily Dirsh 2015-05-04 13:28:36 UTC
Hi Hans,
Changing the sensitivity setting does make it much faster - thanks for the info!

Here's the requested output:
# cat /sys/class/dmi/id/sys_vendor 
LENOVO
# cat /sys/class/dmi/id/product_version 
ThinkPad X230 Tablet

Thanks again!

Comment 16 Hans de Goede 2015-05-04 14:00:10 UTC
Hi Emily,

Thanks for the info. What do you think of the 200 sensitity setting with the mouse speed slider in the middle is it a good (not too fast and not too slow) default ?

Regards,

Hans

Comment 17 Fedora Update System 2015-05-05 23:56:36 UTC
libinput-0.15.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libinput-0.15.0-1.fc22

Comment 18 Peter Hutterer 2015-05-05 23:59:19 UTC
The libinput patch is one half of the equation, the other half are the systemd bits. With the libinput update alone, it won't work just yet.

Comment 19 Fedora Update System 2015-05-11 19:08:26 UTC
libinput-0.15.0-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Hans de Goede 2015-05-15 10:57:10 UTC
Hi Emily,

Thanks for the info. What do you think of the 200 sensitity setting with the mouse speed slider in the middle is it a good (not too fast and not too slow) default ?

Regards,

Hans

Comment 21 Emily Dirsh 2015-05-15 15:10:17 UTC
Hi Hans, yes, 200 seems like a good default to me. 

I still have the settings slider turned all the way up even with the 200 setting, but I prefer a very fast mouse, so for a default, 200 is probably fine.

Comment 22 Hans de Goede 2015-05-18 07:55:06 UTC
Hi,

(In reply to Emily Dirsh from comment #21)
> Hi Hans, yes, 200 seems like a good default to me. 
> 
> I still have the settings slider turned all the way up even with the 200
> setting, but I prefer a very fast mouse, so for a default, 200 is probably
> fine.

Thanks, I've send a hwdb patch to upstream systemd to make this the default on the X230 Tablet in the future.

Regards,

Hans

Comment 24 Hisham Galal 2015-05-23 05:00:41 UTC
Hi, the trackpoint on the Thinkpad Compact Bluetooth Keyboard also suffers from the same slow-speed problem with libinput. What info can I provide you with to make the necessary fix? Thanks in advance.

Comment 25 Andrew Collins 2015-05-29 15:36:48 UTC
(In reply to Hisham Galal from comment #24)
> Hi, the trackpoint on the Thinkpad Compact Bluetooth Keyboard also suffers
> from the same slow-speed problem with libinput. What info can I provide you
> with to make the necessary fix? Thanks in advance.

Regarding the Thinkpad Compact Bluetooth Keyboard, the pointer speed is slow only when using default GNOME.  Pointer speed is normal if "GNOME on wayland" is chosen at login time.

Looking for a similar sensitivity field in under /sys/* (using ls -R /sys | less), I can find the bluetooth keyboard at: /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.4/3-1.4:1.0/bluetooth/hci0/hci0:12/0005:17EF:6048.0009/.  The "sensitivity" file here has value of 5.  Overwriting with higher value (i.e. 128,200) does not help slow pointer speed, and makes cursor erratic.

Comment 26 Michael Schwager 2015-08-12 13:38:02 UTC
Hello, I have a slow trackpoint on my Thinkpad T430s (product 23539KU). I perform the following at startup: echo 220 > /sys/bus/serio/devices/serio2/sensitivity
 and that makes the trackpoint much more usable.

Comment 27 Hans de Goede 2015-08-13 17:10:28 UTC
HI,

(In reply to Michael Schwager from comment #26)
> Hello, I have a slow trackpoint on my Thinkpad T430s (product 23539KU). I
> perform the following at startup: echo 220 >
> /sys/bus/serio/devices/serio2/sensitivity
>  and that makes the trackpoint much more usable.

Can you please do:

cat /sys/class/dmi/id/sys_vendor
cat /sys/class/dmi/id/product_version

And provide the output of these 2 commands, Then I can add an entry to hwdb for your laptopso that in the future this will be done automatically.

Thanks & Regards,

Hans

Comment 28 Janis Goldschmidt 2015-09-02 11:33:42 UTC
Using a Thinkpad W550s here. Settin /sys/bus/serio/devices/serio2/sensitivity to 220 also appears to be optimal for me.

% cat /sys/class/dmi/id/product_version
ThinkPad T550
% cat /sys/class/dmi/id/sys_vendor     
LENOVO

Note that I don't know why my device registers as a T550 instead of a W550s. I assume this is because both devices are quite similar.

Comment 29 Hans de Goede 2015-09-04 13:27:47 UTC
(In reply to Janis Goldschmidt from comment #28)
> Using a Thinkpad W550s here. Settin
> /sys/bus/serio/devices/serio2/sensitivity to 220 also appears to be optimal
> for me.
> 
> % cat /sys/class/dmi/id/product_version
> ThinkPad T550
> % cat /sys/class/dmi/id/sys_vendor     
> LENOVO

Thanks, I've send a patch to systemd upstream for adding an entry for this model to the hwdb, so that the sensitivity will be boosted by default on this model.

Comment 30 Manuel Bejarano 2015-09-13 07:27:33 UTC
Hello,

This issue is present as well in my Thinkpad X1 Carbon (2nd and 3rd gen). Setting sensitivity to ~220-250 and speed to 130 seems to fix the problem.

# cat /sys/class/dmi/id/product_version
ThinkPad X1 Carbon 3rd
# cat /sys/class/dmi/id/sys_vendor
LENOVO

Can this default setting be added to systemd too?

Thank you!

Comment 31 Hans de Goede 2015-09-14 12:17:20 UTC
Hi,

(In reply to Manuel Bejarano from comment #30)
> Hello,
> 
> This issue is present as well in my Thinkpad X1 Carbon (2nd and 3rd gen).
> Setting sensitivity to ~220-250 and speed to 130 seems to fix the problem.
> 
> # cat /sys/class/dmi/id/product_version
> ThinkPad X1 Carbon 3rd
> # cat /sys/class/dmi/id/sys_vendor
> LENOVO
> 
> Can this default setting be added to systemd too?

Done (patch send upstream).

Regards,

Hans

Comment 32 Elias 2015-10-17 20:13:18 UTC
Hi,

The trackpoint/touchpad of the x230 is also very slow (probably the same as the x230t)

Comment 33 Peter Hutterer 2015-10-20 04:56:50 UTC
elias: the trackpoint or the touchpad?

Comment 34 Peter Hutterer 2015-10-20 05:35:31 UTC
turns out the systemd-v219 we shipped in f22 didn't have the pointingstick hwdb. I backported the patches now, here's a scratch build to test:
http://koji.fedoraproject.org/koji/taskinfo?taskID=11509802

Comment 35 Elias 2015-11-02 12:43:18 UTC
Both seem to be slower although it is more notable for the trackpoint. I am using fedora 23 so I don't know whether I can test your patches (I am currently using systemd 222).

Comment 36 Fabian Henze 2015-11-03 08:41:32 UTC
While the proposed fix works for some users, it does not for others. I have been using a sensivity setting of 255 since forever. As this is max value of this setting, I can't increase it to 350 or similar.
Is there no way to solve this in libinput?

Comment 37 Kadir 2016-02-02 19:29:35 UTC
I also have the same slow moving trackpoint (with Dell laptops it's called trackstick).

# cat /sys/class/dmi/id/product_version
01
# cat /sys/class/dmi/id/sys_vendor
Dell Inc.

My laptop is a Dell Latitude e6320.

I can not find a sensitivity setting (even searched with ls -R /sys | less)

Comment 38 mkr 2016-02-02 23:32:29 UTC
Same problem on Dell Precision M6600 with Alps Stick (trackpoint)
The cursors is very slow, almost unusable. I am unable to set /sys/bus/serio/devices/serio2/sensitivity as it doesn't exists on my system (Fedora 23).

The TouchPad at the other hand works quite good.

xinput list-props "AlpsPS/2 ALPS DualPoint Stick"
Device 'AlpsPS/2 ALPS DualPoint Stick':
	Device Enabled (142):	1
	Coordinate Transformation Matrix (144):	1.000000, 0.000000, 0.000000, 0.000000, 1.000000, 0.000000, 0.000000, 0.000000, 1.000000
	libinput Accel Speed (282):	1.000000
	libinput Accel Speed Default (283):	0.000000
	libinput Natural Scrolling Enabled (284):	0
	libinput Natural Scrolling Enabled Default (285):	0
	libinput Send Events Modes Available (262):	1, 0
	libinput Send Events Mode Enabled (263):	0, 0
	libinput Send Events Mode Enabled Default (264):	0, 0
	libinput Left Handed Enabled (286):	0
	libinput Left Handed Enabled Default (287):	0
	libinput Scroll Methods Available (288):	0, 0, 1
	libinput Scroll Method Enabled (289):	0, 0, 1
	libinput Scroll Method Enabled Default (290):	0, 0, 1
	libinput Button Scrolling Button (296):	2
	libinput Button Scrolling Button Default (297):	274
	libinput Middle Emulation Enabled (291):	0
	libinput Middle Emulation Enabled Default (292):	0
	Device Node (265):	"/dev/input/event5"
	Device Product ID (266):	2, 8
	libinput Drag Lock Buttons (295):	<no items>
	libinput Horizonal Scroll Enabled (267):	1

Comment 39 Peter Hutterer 2016-02-08 06:35:43 UTC
For the dell laptops, please look at /etc/udev/hwdb.d/70-pointingstick.hwdb. There are two entries for dells already, please add an entry that matches your model and the const acceleration until it has a "normal speed". I can get those entries upstream if you post them here.

Please use your judgment for what constitutes normal speed, if you like your pointer slower or faster than the usual defaults, please account for that.

Comment 40 Kadir 2016-02-08 07:43:50 UTC
I have put the following in /etc/udev/hwdb.d/71-pointingstick-local.hwdb

# Latitude E6320
evdev:name:*DualPoint Stick:dmi:bvn*:bvr*:bd*:svnDellInc.:pnLatitudeE6320*:pvr*
  POINTINGSTICK_CONST_ACCEL=2

and then updated with

sudo udevadm hwdb --update
sudo udevadm trigger /dev/input/event*

(I even rebooted)

It doesn't seem to work as expected, am I doing something wrong?

Comment 41 Peter Hutterer 2016-02-09 02:43:32 UTC
Use only one space before the property, this could be the issue. If you run sudo udevadm test /sys/class/input/eventX you should see the property if the match is correct. That should also tell you if the file is included, to rule out any typos in the filename.

Comment 42 Kadir 2016-02-09 06:50:51 UTC
Peter, thank you, it was a typo. I think it's loaded now, see:

sudo udevadm test /sys/class/input/event7
calling: test
version 222
This program is for debugging only, it does not run any program
specified by a RUN key. It may show incorrect results, because
some values may be different, or not available at a simulation run.

=== trie on-disk ===
tool version:          222
file size:         6961065 bytes
header size             80 bytes
strings            1758801 bytes
nodes              5202184 bytes
Load module index
timestamp of '/usr/lib/systemd/network' changed
Parsed configuration file /usr/lib/systemd/network/99-default.link
Created link configuration context.
timestamp of '/etc/udev/rules.d' changed
timestamp of '/usr/lib/udev/rules.d' changed
Reading rules file: /usr/lib/udev/rules.d/10-dm.rules
Reading rules file: /usr/lib/udev/rules.d/11-dm-lvm.rules
Reading rules file: /usr/lib/udev/rules.d/11-dm-mpath.rules
Reading rules file: /usr/lib/udev/rules.d/13-dm-disk.rules
Reading rules file: /usr/lib/udev/rules.d/39-usbmuxd.rules
Reading rules file: /usr/lib/udev/rules.d/40-iio-sensor-proxy.rules
Reading rules file: /usr/lib/udev/rules.d/40-libgphoto2.rules
IMPORT found builtin 'usb_id --export %%p', replacing /usr/lib/udev/rules.d/40-libgphoto2.rules:11
Reading rules file: /usr/lib/udev/rules.d/40-usb-media-players.rules
Reading rules file: /usr/lib/udev/rules.d/40-usb_modeswitch.rules
Reading rules file: /usr/lib/udev/rules.d/50-udev-default.rules
Reading rules file: /usr/lib/udev/rules.d/56-hpmud.rules
Reading rules file: /usr/lib/udev/rules.d/60-block.rules
Reading rules file: /usr/lib/udev/rules.d/60-cdrom_id.rules
Reading rules file: /usr/lib/udev/rules.d/60-drm.rules
Reading rules file: /usr/lib/udev/rules.d/60-evdev.rules
Reading rules file: /usr/lib/udev/rules.d/60-fprint-autosuspend.rules
Reading rules file: /usr/lib/udev/rules.d/60-net.rules
Reading rules file: /usr/lib/udev/rules.d/60-pcmcia.rules
Reading rules file: /usr/lib/udev/rules.d/60-persistent-alsa.rules
Reading rules file: /usr/lib/udev/rules.d/60-persistent-input.rules
Reading rules file: /usr/lib/udev/rules.d/60-persistent-storage-tape.rules
Reading rules file: /usr/lib/udev/rules.d/60-persistent-storage.rules
Reading rules file: /usr/lib/udev/rules.d/60-persistent-v4l.rules
Reading rules file: /usr/lib/udev/rules.d/60-raw.rules
Reading rules file: /usr/lib/udev/rules.d/60-serial.rules
Reading rules file: /usr/lib/udev/rules.d/61-gnome-bluetooth-rfkill.rules
Reading rules file: /usr/lib/udev/rules.d/61-gnome-settings-daemon-rfkill.rules
Reading rules file: /usr/lib/udev/rules.d/62-multipath.rules
Reading rules file: /usr/lib/udev/rules.d/63-md-raid-arrays.rules
Reading rules file: /usr/lib/udev/rules.d/64-btrfs.rules
Reading rules file: /usr/lib/udev/rules.d/64-md-raid-assembly.rules
Reading rules file: /usr/lib/udev/rules.d/65-libwacom.rules
Reading rules file: /usr/lib/udev/rules.d/65-md-incremental.rules
Reading rules file: /usr/lib/udev/rules.d/65-sane-backends.rules
Reading rules file: /usr/lib/udev/rules.d/69-bcache.rules
Reading rules file: /usr/lib/udev/rules.d/69-cd-sensors.rules
Reading rules file: /usr/lib/udev/rules.d/69-dm-lvm-metad.rules
Reading rules file: /usr/lib/udev/rules.d/69-libmtp.rules
Reading rules file: /usr/lib/udev/rules.d/69-xorg-vmmouse.rules
Reading rules file: /usr/lib/udev/rules.d/70-hypervfcopy.rules
Reading rules file: /usr/lib/udev/rules.d/70-hypervkvp.rules
Reading rules file: /usr/lib/udev/rules.d/70-hypervvss.rules
Reading rules file: /usr/lib/udev/rules.d/70-mouse.rules
Reading rules file: /usr/lib/udev/rules.d/70-power-switch.rules
Reading rules file: /usr/lib/udev/rules.d/70-printers.rules
Reading rules file: /usr/lib/udev/rules.d/70-spice-vdagentd.rules
Reading rules file: /usr/lib/udev/rules.d/70-touchpad-quirks.rules
Reading rules file: /usr/lib/udev/rules.d/70-uaccess.rules
Reading rules file: /usr/lib/udev/rules.d/70-wacom.rules
Reading rules file: /usr/lib/udev/rules.d/71-seat.rules
Reading rules file: /usr/lib/udev/rules.d/73-seat-late.rules
Reading rules file: /usr/lib/udev/rules.d/75-net-description.rules
Reading rules file: /usr/lib/udev/rules.d/75-probe_mtd.rules
Reading rules file: /usr/lib/udev/rules.d/77-mm-cinterion-port-types.rules
Reading rules file: /usr/lib/udev/rules.d/77-mm-ericsson-mbm.rules
Reading rules file: /usr/lib/udev/rules.d/77-mm-huawei-net-port-types.rules
Reading rules file: /usr/lib/udev/rules.d/77-mm-longcheer-port-types.rules
Reading rules file: /usr/lib/udev/rules.d/77-mm-mtk-port-types.rules
Reading rules file: /usr/lib/udev/rules.d/77-mm-nokia-port-types.rules
Reading rules file: /usr/lib/udev/rules.d/77-mm-pcmcia-device-blacklist.rules
Reading rules file: /usr/lib/udev/rules.d/77-mm-platform-serial-whitelist.rules
Reading rules file: /usr/lib/udev/rules.d/77-mm-simtech-port-types.rules
Reading rules file: /usr/lib/udev/rules.d/77-mm-telit-port-types.rules
Reading rules file: /usr/lib/udev/rules.d/77-mm-usb-device-blacklist.rules
Reading rules file: /usr/lib/udev/rules.d/77-mm-usb-serial-adapters-greylist.rules
Reading rules file: /usr/lib/udev/rules.d/77-mm-x22x-port-types.rules
Reading rules file: /usr/lib/udev/rules.d/77-mm-zte-port-types.rules
Reading rules file: /usr/lib/udev/rules.d/78-sound-card.rules
Reading rules file: /usr/lib/udev/rules.d/80-drivers.rules
Reading rules file: /usr/lib/udev/rules.d/80-kvm.rules
Reading rules file: /usr/lib/udev/rules.d/80-libinput-device-groups.rules
Reading rules file: /usr/lib/udev/rules.d/80-mm-candidate.rules
Reading rules file: /usr/lib/udev/rules.d/80-net-setup-link.rules
Reading rules file: /usr/lib/udev/rules.d/80-udisks2.rules
Reading rules file: /usr/lib/udev/rules.d/84-nm-drivers.rules
Reading rules file: /usr/lib/udev/rules.d/85-nm-unmanaged.rules
Reading rules file: /usr/lib/udev/rules.d/85-regulatory.rules
Reading rules file: /usr/lib/udev/rules.d/90-alsa-restore.rules
Reading rules file: /usr/lib/udev/rules.d/90-fwupd-devices.rules
Reading rules file: /usr/lib/udev/rules.d/90-libgpod.rules
Reading rules file: /usr/lib/udev/rules.d/90-libinput-model-quirks.rules
Reading rules file: /usr/lib/udev/rules.d/90-pulseaudio.rules
Reading rules file: /usr/lib/udev/rules.d/90-vconsole.rules
Reading rules file: /usr/lib/udev/rules.d/91-drm-modeset.rules
Reading rules file: /usr/lib/udev/rules.d/95-cd-devices.rules
Reading rules file: /usr/lib/udev/rules.d/95-dm-notify.rules
Reading rules file: /usr/lib/udev/rules.d/95-upower-csr.rules
Reading rules file: /usr/lib/udev/rules.d/95-upower-hid.rules
Reading rules file: /usr/lib/udev/rules.d/95-upower-wup.rules
Reading rules file: /usr/lib/udev/rules.d/98-kexec.rules
Reading rules file: /usr/lib/udev/rules.d/99-qemu-guest-agent.rules
Reading rules file: /usr/lib/udev/rules.d/99-systemd.rules
rules contain 393216 bytes tokens (32768 * 12 bytes), 34909 bytes strings
37187 strings (304728 bytes), 33804 de-duplicated (273203 bytes), 3384 trie nodes used
IMPORT builtin 'input_id' /usr/lib/udev/rules.d/50-udev-default.rules:14
capabilities/ev raw kernel attribute: 7
capabilities/abs raw kernel attribute: 0
capabilities/rel raw kernel attribute: 3
capabilities/key raw kernel attribute: 70000 0 0 0 0
properties raw kernel attribute: 21
test_key: checking bit block 0 for any keys; found=0
test_key: checking bit block 64 for any keys; found=0
test_key: checking bit block 128 for any keys; found=0
test_key: checking bit block 192 for any keys; found=0
GROUP 999 /usr/lib/udev/rules.d/50-udev-default.rules:30
IMPORT builtin 'usb_id' /usr/lib/udev/rules.d/56-hpmud.rules:10
unable to access usb_interface device of '/sys/devices/platform/i8042/serio1/input/input9/event7'
IMPORT builtin 'usb_id' returned non-zero
IMPORT builtin 'hwdb' /usr/lib/udev/rules.d/60-evdev.rules:8
IMPORT builtin 'hwdb' returned non-zero
value '[dmi/id]modalias' is 'dmi:bvnDellInc.:bvrA19:bd11/14/2013:svnDellInc.:pnLatitudeE6320:pvr01:rvnDellInc.:rn09PHH9:rvrA00:cvnDellInc.:ct9:cvr:'
IMPORT builtin 'hwdb' /usr/lib/udev/rules.d/60-evdev.rules:17
RUN 'keyboard' /usr/lib/udev/rules.d/60-evdev.rules:17
IMPORT builtin 'path_id' /usr/lib/udev/rules.d/60-persistent-input.rules:31
LINK 'input/by-path/platform-i8042-serio-1-event-mouse' /usr/lib/udev/rules.d/60-persistent-input.rules:33
PROGRAM '/usr/bin/vmmouse_detect' /usr/lib/udev/rules.d/69-xorg-vmmouse.rules:1
starting '/usr/bin/vmmouse_detect'
Process '/usr/bin/vmmouse_detect' failed with exit code 1.
IMPORT builtin 'hwdb' /usr/lib/udev/rules.d/70-mouse.rules:16
IMPORT builtin 'hwdb' returned non-zero
PROGRAM 'libinput-device-group /sys/devices/platform/i8042/serio1/input/input9/event7' /usr/lib/udev/rules.d/80-libinput-device-groups.rules:6
starting 'libinput-device-group /sys/devices/platform/i8042/serio1/input/input9/event7'
'libinput-device-group /sys/devices/platform/i8042/serio1/input/input9/event7'(out) '11/2/8/300:isa0060/serio1'
Process 'libinput-device-group /sys/devices/platform/i8042/serio1/input/input9/event7' succeeded.
IMPORT builtin 'hwdb' /usr/lib/udev/rules.d/90-libinput-model-quirks.rules:34
IMPORT builtin 'hwdb' returned non-zero
value '[dmi/id]modalias' is 'dmi:bvnDellInc.:bvrA19:bd11/14/2013:svnDellInc.:pnLatitudeE6320:pvr01:rvnDellInc.:rn09PHH9:rvrA00:cvnDellInc.:ct9:cvr:'
IMPORT builtin 'hwdb' /usr/lib/udev/rules.d/90-libinput-model-quirks.rules:38
IMPORT builtin 'hwdb' returned non-zero
handling device node '/dev/input/event7', devnum=c13:71, mode=0660, uid=0, gid=999
preserve permissions /dev/input/event7, 020660, uid=0, gid=999
preserve already existing symlink '/dev/char/13:71' to '../input/event7'
found 'c13:71' claiming '/run/udev/links/\x2finput\x2fby-path\x2fplatform-i8042-serio-1-event-mouse'
found 'c13:72' claiming '/run/udev/links/\x2finput\x2fby-path\x2fplatform-i8042-serio-1-event-mouse'
creating link '/dev/input/by-path/platform-i8042-serio-1-event-mouse' to '/dev/input/event7'
preserve already existing symlink '/dev/input/by-path/platform-i8042-serio-1-event-mouse' to '../event7'
created db file '/run/udev/data/c13:71' for '/devices/platform/i8042/serio1/input/input9/event7'
.INPUT_CLASS=mouse
ACTION=add
DEVLINKS=/dev/input/by-path/platform-i8042-serio-1-event-mouse
DEVNAME=/dev/input/event7
DEVPATH=/devices/platform/i8042/serio1/input/input9/event7
ID_INPUT=1
ID_INPUT_MOUSE=1
ID_INPUT_POINTINGSTICK=1
ID_PATH=platform-i8042-serio-1
ID_PATH_TAG=platform-i8042-serio-1
ID_SERIAL=noserial
LIBINPUT_DEVICE_GROUP=11/2/8/300:isa0060/serio1
MAJOR=13
MINOR=71
POINTINGSTICK_CONST_ACCEL=2.0
SUBSYSTEM=input
USEC_INITIALIZED=4077613
run: 'keyboard'
Unload module index
Unloaded link configuration context.

Although I don't see the file /etc/udev/hwdb.d/71-pointingstick-local.hwdb being loaded, the pointingstick moves better with POINTINGSTICK_CONST_ACCEL=2.0

Comment 43 Peter Hutterer 2016-02-09 07:00:03 UTC
(In reply to Kadir from comment #42)
> Peter, thank you, it was a typo. I think it's loaded now, see:

what was the typo? I still need the rule please so I can send it upstream

> Although I don't see the file /etc/udev/hwdb.d/71-pointingstick-local.hwdb
> being loaded, the pointingstick moves better with
> POINTINGSTICK_CONST_ACCEL=2.0

great! the other thing was my mistake, you only see rules files, not hwdb entries. sorry

Comment 44 Kadir 2016-02-09 07:08:46 UTC
I removed one space and typed 2.0 instead of just 2, because I saw in the file /usr/lib/udev/hwdb.d/70-pointingstick.hwdb that it says 1.0 instead of 1. 

And also I cleaned up/removed the things (some text) I copied from /usr/lib/udev/hwdb.d/70-pointingstick.hwdb that I used as a reference. 

So now the file /etc/udev/hwdb.d/71-pointingstick-local.hwdb just says:

# Latitude E6320
evdev:name:*DualPoint Stick:dmi:bvn*:bvr*:bd*:svnDellInc.:pnLatitudeE6320*:pvr*
 POINTINGSTICK_CONST_ACCEL=2.0

And nothing more than that.

The pointingstick is much better this way, thanks again!

Comment 45 Peter Hutterer 2016-02-09 07:44:52 UTC
thanks, pull request submitted: https://github.com/systemd/systemd/pull/2557

Comment 46 rasmus 2016-04-04 08:54:02 UTC
Hi,

Would it be possible to add the W530 to 70-pointingstick.hwdb?  (It is not reflected in my version at least).
I think 200 as sensitivity is fine.

W530:rasmus:[hwdb.d] $ cat /sys/class/dmi/id/product_version
ThinkPad W530
W530:rasmus:[hwdb.d] $ cat /sys/class/dmi/id/sys_vendor
LENOVO

Re: https://bugzilla.redhat.com/show_bug.cgi?id=1200717#c2

Thanks,
Rasmus

Comment 47 Peter Hutterer 2016-04-10 21:37:27 UTC
rasmus, I'll need the full dmi modalias please, or better yet: add a udev rule locally (similar to comment 44) and test it to make sure it works. Then file a separate bug for it and attach it there, I'll get it into systemd upstream.

You could also send a pull request directly to systemd if you have a github account: https://github.com/systemd/systemd

Comment 48 CircleCode 2016-06-03 07:24:18 UTC
adding thinkpad X1 Carbon 4th gen here for history (adressed in the following pull request: https://github.com/systemd/systemd/pull/3426):

# cat /sys/class/dmi/id/sys_vendor
LENOVO
" cat /sys/class/dmi/id/product_version
ThinkPad X1 Carbon 4th

# udevadm info /dev/input/event10
P: /devices/platform/i8042/serio1/serio2/input/input11/event10
N: input/event10
S: input/by-path/platform-i8042-serio-2-event-mouse
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-2-event-mouse
E: DEVNAME=/dev/input/event10
E: DEVPATH=/devices/platform/i8042/serio1/serio2/input/input11/event10
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_INPUT_POINTINGSTICK=1
E: ID_PATH=platform-i8042-serio-2
E: ID_PATH_TAG=platform-i8042-serio-2
E: ID_SERIAL=noserial
E: LIBINPUT_DEVICE_GROUP=11/2/a/0:synaptics-pt/serio0
E: MAJOR=13
E: MINOR=74
E: POINTINGSTICK_CONST_ACCEL=1.0
E: POINTINGSTICK_SENSITIVITY=185
E: SUBSYSTEM=input
E: USEC_INITIALIZED=2701319

# cat /etc/udev/hwdb.d/71-pointingstick-local.hwdb
evdev:name:TPPS/2 IBM TrackPoint:dmi:bvn*:bvr*:bd*:svnLENOVO:pn*:pvrThinkPadX1Carbon4th:*
  POINTINGSTICK_SENSITIVITY=200
  POINTINGSTICK_CONST_ACCEL=1.0

Comment 49 Fedora End Of Life 2016-07-19 12:59:43 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.